Package org.spongepowered.asm.service

## Interface ISyntheticClassRegistry

    public interface ISyntheticClassRegistry

Registry for synthetic classes, used internally to track which classes need to be generated at runtime by the mixin pipeline.

### Method Summary

All Methods Instance Methods Abstract Methods
`ISyntheticClassInfo` `findSyntheticClass​(java.lang.String name)` Look up a registered synthetic class.

### Method Detail

#### findSyntheticClass

    ISyntheticClassInfo findSyntheticClass​(java.lang.String name)

Look up a registered synthetic class. Returns either information about the synthetic class, or `null` if no class with the specified name is registered.

Parameters:
  `name` - Class name to look up
Returns:
  Returns information about the named synthetic class or `null` if no synthetic class is found matching the specified name